+1 for 1.9<div><br></div><div>1.8.7 and 1.8.8 are backport releases with stuff they put in Ruby 1.9 AFAIK<br clear="all">---<br>Met vriendelijke groeten - Best regards - Salutations<br>Ivan Porto Carrero<br>Blog: <a href="http://flanders.co.nz">http://flanders.co.nz</a><br>

Twitter: <a href="http://twitter.com/casualjim">http://twitter.com/casualjim</a><br>Author of IronRuby in Action (<a href="http://manning.com/carrero">http://manning.com/carrero</a>)<br><br>
<br><br><div class="gmail_quote">On Fri, Feb 12, 2010 at 6:00 AM, Jim Deville <span dir="ltr">&lt;<a href="mailto:jdeville@microsoft.com">jdeville@microsoft.com</a>&gt;</span> wrote:<br><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex;">

<div lang="EN-US" link="blue" vlink="purple"><div><p class="MsoNormal"><span style="font-size:11.0pt;color:#1F497D">I believe 1.9 includes most of the changes that are in 1.8.7 and 1.8.8.</span></p><p class="MsoNormal"><span style="font-size:11.0pt;color:#1F497D"> </span></p>

<p class="MsoNormal"><span style="font-size:11.0pt;color:#1F497D">JD</span></p><p class="MsoNormal"><span style="font-size:11.0pt;color:#1F497D"> </span></p><p class="MsoNormal"><b><span style="font-size:10.0pt">From:</span></b><span style="font-size:10.0pt"> <a href="mailto:ironruby-core-bounces@rubyforge.org" target="_blank">ironruby-core-bounces@rubyforge.org</a> [mailto:<a href="mailto:ironruby-core-bounces@rubyforge.org" target="_blank">ironruby-core-bounces@rubyforge.org</a>] <b>On Behalf Of </b>Orion Edwards<br>

<b>Sent:</b> Thursday, February 11, 2010 5:17 PM</span></p><div class="im"><br><b>To:</b> <a href="mailto:ironruby-core@rubyforge.org" target="_blank">ironruby-core@rubyforge.org</a><br><b>Subject:</b> Re: [Ironruby-core] MRI 1.8.7 compatibility</div>

<p></p><div class="im"><p class="MsoNormal"> </p><p class="MsoNormal">Personally I&#39;d like the 1.8.7 library changes (The Enumerable module has a bunch more useful stuff in 1.8.7) but beyond that I can&#39;t actually remember what the changes were, so I don&#39;t really miss them :-)</p>

<div><p class="MsoNormal"> </p></div><div><p class="MsoNormal">If IronRuby has 1.9.x compat, then the library changes would get pulled in for that, so the 1.8.7 changes are probably not worth worrying about.</p></div><div>

<p class="MsoNormal" style="margin-bottom:12.0pt"> </p><div><p class="MsoNormal">On Fri, Feb 12, 2010 at 10:20 AM, Jim Deville &lt;<a href="mailto:jdeville@microsoft.com" target="_blank">jdeville@microsoft.com</a>&gt; wrote:</p>

<div><div><p class="MsoNormal"><span style="font-size:11.0pt;color:#1F497D">Along these lines:</span></p><p class="MsoNormal"><span style="font-size:11.0pt;color:#1F497D"> </span></p><p class="MsoNormal"><span style="font-size:11.0pt;color:#1F497D">Are you interested in the 1.8.7 features, or just things like Rails compat (which 1.9.x compat would give)</span></p>

<p class="MsoNormal"><span style="font-size:11.0pt;color:#1F497D"> </span></p><p class="MsoNormal"><span style="font-size:11.0pt;color:#1F497D">JD</span></p><p class="MsoNormal"><span style="font-size:11.0pt;color:#1F497D"> </span></p>

<p class="MsoNormal"><b><span style="font-size:10.0pt">From:</span></b><span style="font-size:10.0pt"> <a href="mailto:ironruby-core-bounces@rubyforge.org" target="_blank">ironruby-core-bounces@rubyforge.org</a> [mailto:<a href="mailto:ironruby-core-bounces@rubyforge.org" target="_blank">ironruby-core-bounces@rubyforge.org</a>] <b>On Behalf Of </b>Orion Edwards<br>

<b>Sent:</b> Thursday, February 11, 2010 11:52 AM<br><b>To:</b> <a href="mailto:ironruby-core@rubyforge.org" target="_blank">ironruby-core@rubyforge.org</a><br><b>Subject:</b> Re: [Ironruby-core] MRI 1.8.7 compatibility</span></p>

<div><p class="MsoNormal"> </p><p class="MsoNormal" style="margin-bottom:12.0pt">+1 !</p><div><blockquote style="border:none;border-left:solid #CCCCCC 1.0pt;padding:0in 0in 0in 6.0pt;margin-left:4.8pt;margin-top:5.0pt;margin-right:0in;margin-bottom:5.0pt">

<div><p class="MsoNormal">Any idea how long after the 1.0 RTM we might start seeing 1.8.7 (or 1.9.x?) compatibility?</p></div></blockquote></div></div></div></div><p class="MsoNormal" style="margin-bottom:12.0pt"><br>_______________________________________________<br>

Ironruby-core mailing list<br><a href="mailto:Ironruby-core@rubyforge.org" target="_blank">Ironruby-core@rubyforge.org</a><br><a href="http://rubyforge.org/mailman/listinfo/ironruby-core" target="_blank">http://rubyforge.org/mailman/listinfo/ironruby-core</a></p>

</div><p class="MsoNormal"> </p></div></div></div></div><br>_______________________________________________<br>
Ironruby-core mailing list<br>
<a href="mailto:Ironruby-core@rubyforge.org">Ironruby-core@rubyforge.org</a><br>
<a href="http://rubyforge.org/mailman/listinfo/ironruby-core" target="_blank">http://rubyforge.org/mailman/listinfo/ironruby-core</a><br>
<br></blockquote></div><br></div>